#include <gtk/gtk.h>
#include "gtk.h"
#include "ether.h"


void *gtk_thread(void *args){
	g_print("thread launched\n");
	RawSocketAnalyse();
	return NULL;
}
int main(int argc, char *argv[]){
	GError *error = NULL;
	gtk_init(&argc, &argv);
	GtkBuilder *gtkBuilder=gtk_builder_new();	
	getObjectFromFile(gtkBuilder);  
	g_timeout_add (1000, (GSourceFunc)printLabel, NULL);
	if (g_thread_try_new("gtk_thread", gtk_thread, NULL, &error)==NULL){
		g_printerr ("Failed to create gtk_thread: %s\n", error->message);
		g_error_free(error);
		return 1;
	}
	
	g_object_unref(G_OBJECT(gtkBuilder));	
	gtk_widget_show(window);	
	gtk_main();

	return 0;
}
