#include <stdio.h>
#include <stdlib.h>
#include <sndfile.h>
#include <alsa/asoundlib.h>
#include <pthread.h>
#define NB 6
#define FILECOUNT 6
#define MAXCHAR 50


typedef struct snd_data{
	int *data;
	int frames;
	int repeat;
	SF_INFO sfinfo;
} sndData;

extern int nbThread;
extern int loop;

void conf_pcm(snd_pcm_t *handle, int channels, int samplerate);
SF_INFO readSndFile(char *arg, int **ptr, int *frames);
void fillSndData(sndData *snd);
void writei_pcm(snd_pcm_t *handle, int *data, int frames, int repeat);
void changeVolume(long volume);
void *sndThread(void *arg);
void soundLoop(sndData *snd, int val);
void freeData(sndData *snd);
